using System.ComponentModel.DataAnnotations;

namespace DoliMiddlewareApi.Dtos.command;

public class UpdateClientDto
{
    [StringLength(200)]
    public string? Name { get; set; }

    [StringLength(50)]
    public string? Address { get; set; }

    [StringLength(50)]
    public string? Zip { get; set; }

    [StringLength(50)]
    public string? Town { get; set; }

    [StringLength(20)]
    public string? Phone { get; set; }

    [EmailAddress]
    [StringLength(200)]
    public string? Email { get; set; }

    [StringLength(50)]
    public string? CountryCode { get; set; }

    [StringLength(50)]
    public string? VatNumber { get; set; }

    [Url]
    [StringLength(255)]
    public string? Url { get; set; }

    [StringLength(500)]
    public string? NotePublic { get; set; }

    [StringLength(500)]
    public string? NotePrivate { get; set; }
}